//-----------------------------------------------------------------------
// <copyright file=" im_data.cs">
// * FileName: im_data.cs
// </copyright>
//-----------------------------------------------------------------------
using System;
using System.Collections.Generic;
using Performance.EntityModels;

namespace Performance.Repository
{
    /// <summary>
    /// im_data Repository
    /// </summary>
    public partial class PerforImdataRepository : PerforRepository<im_data>
    {
        public PerforImdataRepository(PerformanceDbContext context) : base(context)
        {
        }

        public IEnumerable<im_data> GetAccountingUnit(List<int> sheetList, List<string> deptList, List<int> allotList)
        {
            string sql = "select distinct accountingUnit,department,unittype from im_data " +
                "where sheetid in @sheetList and department in @deptList and allotid in @allotList";
            return DapperQuery(sql, new { sheetList, deptList, allotList }, 1000 * 60 * 5);
        }
    }
}
